#!/bin/sh
set -ue
cd "$(dirname "$0")"

if which git >/dev/null; then
    v="$(git describe --dirty --always | sed -e 's/-/+git/;y/-/./' )"
    o=git
fi

if [ -z "${v:-}" ]; then
    v="$(dpkg-parsechangelog --show-field Version)"
    o=debian/changelog
fi

if [ -z "${v:-}" ]; then
    exit 1
fi

echo "*** Setting version to '$v' from $o." >&2

cat <<EOF > cmd/version_generated.go
package cmd

// generated by mkversion.sh; do not edit

func init() {
	Version = "$v"
}
EOF

cat <<EOF > cmd/VERSION
$v
EOF
